# coding: utf8
"""Calcul de nombres parfaits et chanceux.

Le programme principal comporte :
  - L'initialisation de deux listes parfaits et chanceux qui contiendront les 
    nombres parfaits et chanceux ;
  - Une boucle de parcours de l'intervalle [2,1000] incluant les tests nécessaires 
    pour remplir ces listes ;
  - L'affichage de ces listes et de leur taille.

fichier : parfait_chanceux.py
auteur : Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
from parfait_chanceux_m_corr import est_parfait, est_chanceux

# Programme principal =========================================================
parfait, chanceux = [], []

for n in range(2, 1001):
    if est_parfait(n):
        parfait.append(n)
    if est_chanceux(n):
        chanceux.append(n)

print(f"\nIl y a {len(parfait)} nombres parfaits dans [2, 1000] : {parfait}")
print(f"\nIl y a {len(chanceux)} nombres chanceux dans [2, 1000] : {chanceux}")
